// 
// Copyright (c) 2002-2009 Nokia Corporation and/or its subsidiary(-ies).
// All rights reserved.
// This component and the accompanying materials are made available
// under the terms of the License "Eclipse Public License v1.0"
// which accompanies this distribution, and is available
// at the URL "http://www.eclipse.org/legal/epl-v10.html".
// 
// Initial Contributors:
// Nokia Corporation - initial contribution.
// 
// Contributors:
// 
// Description:
// 

#include "OandXDocument.h"
#include "OandXApplication.h"


TUid COandXApplication::AppDllUid() const
/**
	Implement CApaApplication by returning this application's UID.
	
	@return					This application's third UID (SECUREID).
 */
	{
	return KUidOandXApp;
	}


CApaDocument* COandXApplication::CreateDocumentL()
/**
	Override override CEikApplication by allocating an
	instance of the document object.
	
	@return					New instance of document object.
							The calling framework owns the object.
 */
	{
	// Create an OandX document, and return a pointer to it
	return COandXDocument::NewL(*this);
	}

